"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const common_1 = require("@nestjs/common");
const common_2 = require("../../common");
const constants_1 = require("../../common/constants");
const utility_service_1 = require("../../common/service/utility.service");
const user_role_entity_1 = require("./entities/user-role.entity");
let UserRolesService = class UserRolesService extends common_2.BaseService {
    constructor(user_role, model, user, role, utilityService) {
        super(model);
        this.user_role = user_role;
        this.model = model;
        this.user = user;
        this.role = role;
        this.utilityService = utilityService;
    }
    findByPayload(payload) {
        return __awaiter(this, void 0, void 0, function* () {
            const user_roles = yield this.user_role.findOne({
                where: {
                    user_id: payload.user_id,
                    role_id: payload.role_id,
                },
            });
            if (user_roles) {
                return user_roles;
            }
            else {
                return { status: "failed", message: "Not Found" };
            }
        });
    }
};
UserRolesService = __decorate([
    common_1.Injectable(),
    __param(0, common_1.Inject(constants_1.CORE_USER_ROLES)),
    __param(1, common_1.Inject(constants_1.CORE_USER_ROLES)),
    __param(2, common_1.Inject(constants_1.CORE_USERS)),
    __param(3, common_1.Inject(constants_1.CORE_ROLES)),
    __metadata("design:paramtypes", [Object, user_role_entity_1.UserRole, Object, Object, utility_service_1.UtilityService])
], UserRolesService);
exports.UserRolesService = UserRolesService;
